UI::Util::FDTypeStream< FDType > Class Template Reference

IO stream for file descriptors. More...

`#include <Socket.hpp>`

Inheritance diagram for UI::Util::FDTypeStream< FDType >:
Collaboration diagram for UI::Util::FDTypeStream< FDType >:

## Public Member Functions

| FDTypeStream (int fd, bool closeFd=false)

## Detailed Description

template<typename FDType>
class UI::Util::FDTypeStream< FDType >

IO stream for file descriptors.

Examples
  EchoServer.cpp.

## Constructor & Destructor Documentation

## FDTypeStream()

template<typename FDType>

UI::Util::FDTypeStream< FDType >::FDTypeStream | ( | int | fd,
|  | bool | closeFd = false )

inline

Constructor for file descriptor stream.

The documentation for this class was generated from the following file:

- Socket.hpp